# get\_project

<pre class="language-python"><code class="lang-python">dbnl.get_project(
    *,
    name: str,
) -> <a data-footnote-ref href="#user-content-fn-1">Project</a>:
</code></pre>

## Parameters

<table><thead><tr><th width="211">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name for the existing dbnl <a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a>.  An error will be raised if there is no Project with the given name.</td></tr></tbody></table>

## Returns

<table><thead><tr><th width="170">Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="/pages/vfXFauh5ZnUjluqFCP7i">Project</a></td><td>The dbnl Project with the given name.</td></tr></tbody></table>

## Examples

```python
import dbnl
dbnl.login()


proj_1 = dbnl.create_project(name="test_p1")
proj_2 = dbnl.get_project(name="test_p1")

# Calling get_project will yield same Project object
assert proj_1.id == proj_2.id

# DBNLProjectNotFoundError: A dnnl Project with name not_exist does not exist
proj_3 = dbnl.get_project(name="not_exist")
```

[^1]: [Project](/v0.20.x/using-distributional/python-sdk/sdk-objects/project.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-functions/project/get_project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
